Subject: [bug#54910] [PATCH] guix: import: Convert inputs to the new format.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 14 Apr 2022 12:33:43 +0200

Thanks for the patch!

This looked good to me, so I applied it locally.  I then ran the test
suite and noticed that tests/go.scm and tests/crate.scm have failing
tests.

The failure in tests/go.scm is harmless and can easily be fixed.  But
the failure in tests/crate.scm indicates a real problem, I think.  The
build system expects that inputs are placed in the #:cargo-inputs field
in (arguments …), and this seems to expect old-style labelled inputs.

I don’t know if the build system would work with the new-style plain
lists in the arguments field, so I’m Cc-ing contributors to the build
system.

@Jakub and @Efraim: could you please comment on this?

Thanks in advance!

-- 
Ricardo